Hello Core-Team,

I have my own FAL-Extension: fal_dropbox: https://github.com/froemken/fal_dropbox/
I create (NOT upload!) a new empty file called: hallo.txt
The new file will be created and listed perfectly. The size of this file is 0 bytes. This information is also added to sys_file.
Now I edit this file and write something in there and save this file.
The file was saved successfully and we return to our filelist.

BUT: The filesize keeps being 0 bytes.

After a long time of debugging I found out following:

In File.php -> Method: mergeIndexRecord() you have:

$this->properties = array_merge($this->properties, $recordData);

In $this->properties we have the correct values (bytes = 141)
In $recordData we have the old values from database.
After merging, the correct values are overwritten with the old values from the database.

Changing the values soved the problem:

$this->properties = array_merge($recordData, $this->properties);

Stefan
Revision 7d799fb3 - 2013-02-09 06:39 - Stefan Froemken

[BUGFIX] FAL: file properties are not updated

The fileproperties are not updated correctly. In
case of this issue it is the filesize which was not
updated in filelist-module
Revision 90da916c - 2013-02-13 09:40 - Stefan Froemken

[BUGFIX] FAL: file properties are not updated

The fileproperties are not updated correctly. In
case of this issue it is the filesize which was not
updated in filelist-module

Resolves: #44585
Releases: 6.0, 6.1
Reviewed-on: https://review.typo3.org/18212
Reviewed-by: Stefan Froemken
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History
#1 - 2013-01-16 23:48 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17569

#2 - 2013-01-16 23:58 - Stefan Froemken

Funny:

Switching "extended view" to on: filesize is wrong
Switching "extended view" to off: filesize is correct

#3 - 2013-01-18 12:01 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17569
#4 - 2013-02-04 09:09 - Camelia M

patch 2 works fine for me too on version 6.0.1

#5 - 2013-02-09 06:39 - Benjamin Mack

Could you send it to the 6.0 branch as well?

#6 - 2013-02-09 07:30 - Stefan Froemken
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:7d799fb3b6d6844095f68ec5ac385937fbb0b614.

#7 - 2013-02-11 22:38 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.
It is available at https://review.typo3.org/18212

#8 - 2013-02-13 10:30 - Stefan Froemken
- Status changed from Under Review to Resolved

Applied in changeset commit:90da916c4eb0003d9b7f16e91975c908739517ce.

#9 - 2013-03-04 20:15 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch master_new has been pushed to the review server.
It is available at https://review.typo3.org/18633

#10 - 2013-03-04 21:05 - Christian Kuhn
- Status changed from Under Review to Resolved
